#ifndef CHAT_DIALOG_H
#define CHAT_DIALOG_H

#include <QDialog>
#include "xmlrpc/client.h"

class FollowupsListModel;
class MSO_IniFile;

namespace Ui {
    class ChatDialog;
}

class ChatDialog : public QDialog
{
    Q_OBJECT

public:
    explicit ChatDialog(FollowupsListModel *followupsModel, const QString & sessionKey, MSO_IniFile *settingsObj, QWidget *parent = 0);
    ~ChatDialog();

private:
    Ui::ChatDialog *ui;

    MSO_IniFile *settingsObj;
    QString sessionKey;

    FollowupsListModel *model;

    //xmlrpc
    xmlrpc::Client *prepareXmlRpcClient();
    void xmlRpc_GetTicketFollowups(int ticketId);
    void xmlRpc_NewTicketFollowup(int ticketId, const QString & content);

public slots:
    void onDone(int, QVariant variant);
    void processFault( int requestId, int errorCode, QString errorString );


private slots:
    void on_pushButton_clicked();
signals:
    void updateFollowupsCount();
};

#endif // CHAT_DIALOG_H
