#include "mso_inifile.h"

MSO_IniFile::MSO_IniFile(const QString & iniFilePath)
{
    QSettings *settings = new QSettings(iniFilePath, QSettings::IniFormat);

    QTextCodec *settingsCodec = QTextCodec::codecForName( "UTF-8" );

    QTextCodec::setCodecForCStrings( settingsCodec );
    QTextCodec::setCodecForTr( settingsCodec );
    QTextCodec::setCodecForLocale( settingsCodec );

    settings->setIniCodec(settingsCodec);

    this->helpdeskServerUrl = settingsCodec->toUnicode( settings->value("settings/helpdeskServerUrl").toByteArray() );
    this->helpdeskServerPort = settingsCodec->toUnicode( settings->value("settings/helpdeskServerPort").toByteArray() );
    this->userEmail = "";
    this->userSoftwareInfo = settingsCodec->toUnicode( settings->value("settings/userSoftwareInfo").toByteArray() );

    this->settingsObj = settings;
}
