#include "newticket_dialog.h"
#include "ui_newticket_dialog.h"
#include <QFileDialog>
#include <QMessageBox>

NewTicketDialog::NewTicketDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::NewTicketDialog)
{
    ui->setupUi(this);
    ui->label->setVisible(false);
    ui->frame->setVisible(false);
}

NewTicketDialog::~NewTicketDialog()
{
    delete ui;
}

void NewTicketDialog::on_pushButtonSend_clicked()
{
    if(ui->ticketSubj->text().length() == 0)
    {
        QMessageBox::warning(0,
                                 tr("Ошибка!"),
                                 tr("Укажите тему заявки!"),
                                 QMessageBox::Ok,Qt::NoButton);
        return;
    }

    if(ui->ticketBody->toPlainText().length() == 0)
    {
        QMessageBox::warning(0,
                                 tr("Ошибка!"),
                                 tr("Заполните текст заявки!"),
                                 QMessageBox::Ok,Qt::NoButton);
        return;
    }

    if(ui->lineEditFilePath->text().length() > 0)
    {
        QFile file(ui->lineEditFilePath->text());
        if(!file.exists())
        {
            QMessageBox::warning(0,
                                     tr("Ошибка!"),
                                     tr("Прикрепляемый файл не существует!"),
                                     QMessageBox::Ok,Qt::NoButton);
            return;
        }
    }

    emit this->saveTicket(ui->ticketSubj->text(), ui->ticketBody->toPlainText(), ui->lineEditFilePath->text());
    this->accept();
}

void NewTicketDialog::on_toolButton_clicked()
{
    if(!ui->frame->isVisible())
    {
        ui->toolButton->setVisible(false);
        ui->label->setVisible(true);
        ui->frame->setVisible(true);
    }
}

void NewTicketDialog::on_pushButtonExplore_clicked()
{
   ui->lineEditFilePath->setText(QFileDialog::getOpenFileName(this,
         tr("Выберите файл для присоединения к заявке"), "", tr("Любые файлы (*.*)")));
}
